﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Windows.Documents;
using System.Xml;
using System.Xml.Linq;

namespace WpfApplication1
{
    public static class XmlUtil
    {
        ///<summary>
        ///</summary>
        public static void WriteOutlookSettingsXML(string filePath)
        {
            var writer = new XmlTextWriter(filePath, Encoding.UTF8);
            writer.WriteStartDocument(true);
            writer.Formatting = Formatting.Indented;
            writer.Indentation = 2;
            writer.WriteStartElement("OutlookSettings");


            writer.WriteStartElement("OneEnabled");
            if (OutlookBarSettings.OneEnabled != null)
            {
                writer.WriteString(OutlookBarSettings.OneEnabled.ToString());
            }
            writer.WriteEndElement();
            writer.WriteStartElement("TwoEnabled");
            if (OutlookBarSettings.TwoEnabled != null)
            {
                writer.WriteString(OutlookBarSettings.TwoEnabled.ToString());
            }
            writer.WriteEndElement();
            writer.WriteStartElement("ThreeEnabled");
            if (OutlookBarSettings.ThreeEnabled != null)
            {
                writer.WriteString(OutlookBarSettings.ThreeEnabled.ToString());
            }
            writer.WriteEndElement();
           
            writer.WriteStartElement("navigationAreaMaxGroups");
            if (OutlookBarSettings.NavigationAreaMaxGroups != null)
            {
                writer.WriteString(OutlookBarSettings.NavigationAreaMaxGroups.ToString());
            }
            writer.WriteEndElement();
            writer.WriteEndElement();

            writer.WriteEndDocument();

            writer.Close();
        }


    

       
    }
}